%define upstream_name    FCGI-Daemon
%define upstream_version 0.20151226

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    An easy to use FastCGI daemon for nginx
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BSD::Resource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.710.0
BuildRequires: perl(FCGI::ProcManager) >= 0.180.0
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
FCGI::Daemon is a small (Fast)CGI server for use as CGI-wrapper for
unmodified CGI applications.

Factored as modulino, currently it doesn't have any Perl module
functionality.

It was developed as replacement for cgiwrap-fcgi.pl - see
L<http://wiki.nginx.org/SimpleCGI>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.201.512.260-4.mga8
+ Revision: 1494468
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.201.512.260-3.mga7
+ Revision: 1267885
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.201.512.260-2.mga6
+ Revision: 1027273
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.201.512.260-1.mga6
+ Revision: 919637
- update to 0.20151226

* Sun Oct 19 2014 umeabot <umeabot> 0.201.111.210-6.mga5
+ Revision: 789426
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.201.111.210-5.mga5
+ Revision: 741015
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.201.111.210-4.mga5
+ Revision: 684697
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.201.111.210-3.mga4
+ Revision: 511508
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.201.111.210-2.mga3
+ Revision: 367107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.201.111.210-1.mga2
+ Revision: 172339
- update to 0.20111121

* Sat Nov 26 2011 kharec <kharec> 0.201.110.140-1.mga2
+ Revision: 172216
- imported package perl-FCGI-Daemon


* Sat Nov 26 2011 cpan2dist 0.20111014-1mga
- initial mageia release, generated with cpan2dist
